<?php	

		$iserror = 0;
		
		$listuser -> checklogin($_SESSION["member"]->uid);
	
		if($act == "daka"){
			
			
				
				
		}else{
			
				$pagelistnum = 10;
				
				$totalhistory = count($_SESSION["history"]);
				
				$totalpage = ceil($totalhistory/$pagelistnum);
				
				$page = isset($page)?intval($page):"1";
				$page = ($page>$totalpage)?($totalpage):($page);
				$totalpage = ($totalpage==0)?1:intval($totalpage);
				$page = ($page<1)?(1):($page);
				
				$sqlstart = ($page-1)*$pagelistnum;
				
				$historydata = $_SESSION["history"];
	
		}
		
		if($iserror == 0){

						$smartydate = array("pagetitle" => "浏览记录",
													"historydata" => $historydata,
													"totalhistory" => $totalhistory,
													"page" => $page,
													"totalpage" => $totalpage,
													"pagelistnum" => $pagelistnum,
													"data" => array("act"=>""),
													);
											
						$tplpath = "user/history.tpl";

		}else{		
				
				$smartydate = array("pagetitle" => "签到",
												"pagecontent" => $pagecontent,
												"tourl" => $tourl,
												"redirecturl" => $tourl,
												);
												
				$tplpath = "public.tpl";
				
		}
?>